xfstests: stop special casing nfs and udf
[xfstests-dev.git] / tests / generic / 225
1 #! /bin/bash
2 # FS QA Test No. 225
3 #
4 # Run the fiemap (file extent mapping) tester
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2009 Eric Sandeen.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #-----------------------------------------------------------------------
22 #
23
24 seq=`basename $0`
25 seqres=$RESULT_DIR/$seq
26 echo "QA output created by $seq"
27
28 here=`pwd`
29 tmp=tmp/$$
30 status=1  # failure is the default!
31 trap "_cleanup; exit \$status" 0 1 2 3 15
32
33 _cleanup()
34 {
35         cd /
36         rm -f $tmp.*
37 }
38
39 # get standard environment, filters and checks
40 . ./common/rc
41 . ./common/filter
42
43 # real QA test starts here
44 _supported_fs generic
45 _supported_os Linux
46 _require_scratch
47
48 _scratch_mkfs > /dev/null 2>&1
49 _scratch_mount > /dev/null 2>&1
50
51 rm -f $seqres.full
52 fiemapfile=$SCRATCH_MNT/$seq.fiemap
53 fiemaplog=$SCRATCH_MNT/$seq.log
54
55 [ -x $here/src/fiemap-tester ] || _notrun "fiemap-tester not built"
56
57 seed=`date +%s`
58
59 echo "using seed $seed" >> $fiemaplog
60
61 echo "fiemap run without preallocation, with sync"
62 $here/src/fiemap-tester -q -S -s $seed -p 0 -r 200 $fiemapfile 2>&1 | tee -a $fiemaplog
63
64 if [ $? -ne 0 ]; then
65         if grep -q "Operation not supported" $fiemaplog; then
66               _notrun "FIEMAP not supported by this filesystem type: $FSTYP"
67         fi
68         status=$?
69         exit
70 fi
71
72 echo "fiemap run without preallocation or sync"
73 $here/src/fiemap-tester -q -s $seed -p 0 -r 200 $fiemapfile 2>&1 | tee -a $fiemaplog
74
75 status=0
76 exit